Skip to main content
GET
/
argocdApp
/
{argocdAppId}
Get ArgoCD app by ID
curl --request GET \
  --url https://api.qovery.com/argocdApp/{argocdAppId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "service_type": "APPLICATION",
  "namespace": "<string>",
  "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_synced_at": "2023-11-07T05:31:56Z",
  "manifest_revision": "<string>",
  "source_repo_url": "<string>",
  "source_target_revision": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

argocdAppId
string<uuid>
required

ArgoCD App ID

Response

Get ArgoCD app by ID

An ArgoCD service

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
namespace
string
required
environment_id
string<uuid>
required
cluster_id
string<uuid>
required
updated_at
string<date-time>
read-only
last_synced_at
string<date-time> | null
manifest_revision
string | null
source_repo_url
string | null
source_target_revision
string | null